tanh
Prev | Orchestra Opcodes and Operators | Next

## tanh

tanh — Performs a hyperbolic tangent function.

## Description

Returns the hyperbolic tangent of x (x in radians).

## Syntax

    tanh(x) (no rate restriction)

## Examples

Here is an example of the tanh opcode. It uses the file tanh.csd.

Example 827. Example of the tanh opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o tanh.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      irad = 1
      i1 = tanh(irad)

      print i1
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for one second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include a line like this:

    instr 1:  i1 = 0.762

## See Also

cos, cosh, cosinv, sin, sinh, sininv, tan, taninv

## Credits

Author: John ffitch

New in version 3.47

Example written by Kevin Conder.

Prev | Up | Next
tan | Home | taninv